# classes/phing/types/ExcludesNameEntry.php

Class for holding nested excludes elements (file, class, method).

author
  Benjamin Schultz
package
  phing.types
since
  2.4.6
version
  $Id: ExcludesNameEntry.php 1206 2011-07-03 22:46:44Z bschultz $

## \ExcludesNameEntry
jump to top

Class for holding nested excludes elements (file, class, method).

author
  Benjamin Schultz
package
  phing.types
since
  2.4.6
version
  $Id: ExcludesNameEntry.php 1206 2011-07-03 22:46:44Z bschultz $

### Properties

`string $_name= ''`

Holds the name of a file, class or method or a file pattern

Details

Type
  string

### Methods

`addText( string $pattern ) :`
An alias for the setName() method.

Set the name of a file pattern.

Parameters

Name | Type | Description
--- | --- | ---
$pattern | string | The file pattern

Details

see
  \setName()

`getName( ) : string`
Get the name of a file, class or method or the file pattern
Returns

Type | Description
--- | ---
string |

`setName( string $name ) :`
Set the name of a file, class or method
Parameters

Name | Type | Description
--- | --- | ---
$name | string |

`toString( ) : string`
Gets a string representation of this name or pattern.
Returns

Type | Description
--- | ---
string |

Documentation was generated by DocBlox 0.13.1.